{
    // Use IntelliSense to learn about possible attributes.
    // Hover to view descriptions of existing attributes.
    // For more information, visit: https://go.microsoft.com/fwlink/?linkid=830387
    "version": "1.0.0",
    "configurations": [
        {
            "name": "Python: Current File",
            "type": "python",
            "request": "launch",
            "program": "${file}",
            "console": "integratedTerminal"
        },
        {
            "name": "ROS: Attach",
            "type": "ros",
            "request": "attach"
        },
        {
            "name": "ROS: Launch",
            "type": "ros",
            "request": "launch",
            "target": "${file}",
            "externalConsole": false,
            "cwd": "${workspaceFolder}/workspaces/ws1/",
            "preLaunchTask": "colcon_build",
            "envFile": "${workspaceFolder}/envs/ws1/.env",
            "avoidWindowsConsoleRedirection": true,
            "stopAtEntry": false
        }
    ]
}